#
# This file is part of ElasticSearchX-Model
#
# This software is Copyright (c) 2018 by Moritz Onken.
#
# This is free software, licensed under:
#
#   The (three-clause) BSD License
#
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.012.
use strict;
use warnings;

use 5.006;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Extensible and flexible model for Elasticsearch based on Moose",
  "AUTHOR" => "Moritz Onken",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "ElasticSearchX-Model",
  "LICENSE" => "bsd",
  "MIN_PERL_VERSION" => "5.006",
  "NAME" => "ElasticSearchX::Model",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Class::Load" => 0,
    "DateTime" => 0,
    "DateTime::Format::Epoch::Unix" => 0,
    "DateTime::Format::ISO8601" => 0,
    "Digest::SHA1" => 0,
    "Eval::Closure" => 0,
    "JSON::MaybeXS" => 0,
    "List::MoreUtils" => 0,
    "List::Util" => 0,
    "Module::Find" => 0,
    "Moose" => "2.02",
    "Moose::Exporter" => 0,
    "Moose::Role" => 0,
    "Moose::Util::TypeConstraints" => 0,
    "MooseX::Attribute::Chained" => "1.0.1",
    "MooseX::Attribute::ChainedClone" => 0,
    "MooseX::Attribute::Deflator" => "2.2.0",
    "MooseX::Attribute::Deflator::Moose" => 0,
    "MooseX::Attribute::LazyInflator::Meta::Role::Attribute" => 0,
    "MooseX::Types" => 0,
    "MooseX::Types::ElasticSearch" => "0.0.4",
    "MooseX::Types::Moose" => 0,
    "MooseX::Types::Structured" => 0,
    "Scalar::Util" => 0,
    "Search::Elasticsearch" => "2.02",
    "Sub::Exporter" => 0,
    "strict" => 0,
    "version" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IO::Socket::INET" => 0,
    "IPC::Open3" => 0,
    "Module::Build" => "0.3601",
    "MooseX::Types::Common::String" => 0,
    "Test::MockObject::Extends" => 0,
    "Test::More" => 0,
    "Test::Most" => 0,
    "lib" => 0
  },
  "VERSION" => "2.0.0",
  "test" => {
    "TESTS" => "t/*.t t/document/*.t t/es/*.t t/model/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Class::Load" => 0,
  "DateTime" => 0,
  "DateTime::Format::Epoch::Unix" => 0,
  "DateTime::Format::ISO8601" => 0,
  "Digest::SHA1" => 0,
  "Eval::Closure" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IO::Socket::INET" => 0,
  "IPC::Open3" => 0,
  "JSON::MaybeXS" => 0,
  "List::MoreUtils" => 0,
  "List::Util" => 0,
  "Module::Build" => "0.3601",
  "Module::Find" => 0,
  "Moose" => "2.02",
  "Moose::Exporter" => 0,
  "Moose::Role" => 0,
  "Moose::Util::TypeConstraints" => 0,
  "MooseX::Attribute::Chained" => "1.0.1",
  "MooseX::Attribute::ChainedClone" => 0,
  "MooseX::Attribute::Deflator" => "2.2.0",
  "MooseX::Attribute::Deflator::Moose" => 0,
  "MooseX::Attribute::LazyInflator::Meta::Role::Attribute" => 0,
  "MooseX::Types" => 0,
  "MooseX::Types::Common::String" => 0,
  "MooseX::Types::ElasticSearch" => "0.0.4",
  "MooseX::Types::Moose" => 0,
  "MooseX::Types::Structured" => 0,
  "Scalar::Util" => 0,
  "Search::Elasticsearch" => "2.02",
  "Sub::Exporter" => 0,
  "Test::MockObject::Extends" => 0,
  "Test::More" => 0,
  "Test::Most" => 0,
  "lib" => 0,
  "strict" => 0,
  "version" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
